package com.th.demo.service.finance;

public interface AccountService {
    String query(int page, int rows, String customerName, String userId, String belongId, String accountFlag);

    String account(String json, String userId, String belongId);

    String queryGroup(int page, int rows, String customerName, String userId, String belongId, String accountFlag);

    String queryBycustomer(String customerName, String userId, String belongId, String accountFlag);

    String queryVerifyAccount(String queryDateFrom, String queryDateTo, String fkComponeyName, String userId, String belongId);

    String writeInvoice(String json, String userId, String belongId, String invoiceCmp, String invoiceDate, String invoiceAmt);

    String writeRcvPay(String json, String userId, String belongId, String rcvPayMth, String rcvPayDate, String invoiceAmt);

    String queryInvoiceRslt(String queryDateFrom, String queryDateTo, String fkComponeyName, String userId, String belongId);

    String queryProgress(String queryDateFrom, String queryDateTo, String fkComponeyName, String userId, String belongId);

    String backProgress(String json, String bachType, String userId, String belongId);

    String deleteInvoice(String json, String userId, String belongId);
}
